import 'package:json_annotation/json_annotation.dart';

import 'package:pshared/data/dto/payment/fx_quote.dart';
import 'package:pshared/data/dto/payment/quote_amounts.dart';
import 'package:pshared/data/dto/payment/quote_fees.dart';

part 'payment_quote.g.dart';

@JsonSerializable()
class PaymentQuoteDTO {
  final String? quoteRef;
  final String? intentRef;
  final QuoteAmountsDTO? amounts;
  final QuoteFeesDTO? fees;
  final FxQuoteDTO? fxQuote;

  const PaymentQuoteDTO({
    this.quoteRef,
    this.intentRef,
    this.amounts,
    this.fees,
    this.fxQuote,
  });

  factory PaymentQuoteDTO.fromJson(Map<String, dynamic> json) =>
      _$PaymentQuoteDTOFromJson(json);
  Map<String, dynamic> toJson() => _$PaymentQuoteDTOToJson(this);
}
